dbXML API

## org.dbxml.xml
Class SymbolTable.SymbolInfo

    java.lang.Object
      |
      +--org.dbxml.xml.SymbolTable.SymbolInfo

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SymbolTable

public final class SymbolTable.SymbolInfo
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.String` `namespaceURI`
`java.lang.String` `qname`
`short` `symbol`

Constructor Summary
`SymbolTable.SymbolInfo(java.lang.String qname, short symbol)`
`SymbolTable.SymbolInfo(java.lang.String qname, java.lang.String namespaceURI, short symbol)`

Method Summary
`java.lang.String` `getNamespaceURI()`
`java.lang.String` `getQName()`
`short` `getSymbolID()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public java.lang.String namespaceURI

### qname

    public java.lang.String qname

### symbol

    public short symbol

Constructor Detail

### SymbolTable.SymbolInfo

    public SymbolTable.SymbolInfo(java.lang.String qname,
                                  java.lang.String namespaceURI,
                                  short symbol)

### SymbolTable.SymbolInfo

    public SymbolTable.SymbolInfo(java.lang.String qname,
                                  short symbol)

Method Detail

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getQName

    public java.lang.String getQName()

### getSymbolID

    public short getSymbolID()

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved